/*
  NOTE
  body.tribe-events-page-template - all event pages
  body.single-tribe_events - single event page
  /events/list
  /events/month
*/

/* Hide unused elements */
body.tribe-events-page-template header.page-header,
body.tribe-events-page-template .tribe-events-c-events-bar,
body.tribe-events-page-template .tribe-common--breakpoint-medium.tribe-events .tribe-events-c-top-bar__today-button,
body.tribe-events-page-template .tribe-events-c-top-bar__datepicker {
  display: none !important;
}

main.events-content {
  margin-top: 100px;
  padding: 30px;
}

section.tribe-events-l-container {
  padding: 0 !important;
}

.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-list__event-details {
  width: 100%;
}

/* Event Listing Titles */
.tribe-events .tribe-events-calendar-list__event-title-link,
.tribe-events .tribe-events-calendar-list__event-title-link:hover,
.tribe-events .tribe-events-calendar-list__event-title-link:visited {
  color: white;
}

/* Subscribe to Calendar Button */
body.tribe-events-page-template button.tribe-common-c-btn--clear {
  all: unset;
}
body.tribe-events-page-template .tribe-events-c-subscribe-dropdown__button {
  display: inline-block;
  padding: 15px 30px;
  margin: 0;
  border: 1px solid white;
  border-radius: 100px;
  background: linear-gradient(133deg, rgb(165 239 255 / 17%) 0%, rgb(110 191 244 / 14%) 22%, rgb(70 144 212 / 0%) 100%);
  -webkit-backdrop-filter: saturate(100%) blur(20px);
  backdrop-filter: saturate(100%) blur(20px);
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 5px;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
}
body.tribe-events-page-template button.tribe-events-c-subscribe-dropdown__button-text {
  display: inline-block;
  font-size: 0.8rem;
  text-transform: uppercase;
  letter-spacing: 5px;
}
body.tribe-events-page-template button.tribe-events-c-subscribe-dropdown__button-text[aria-expanded="false"] + svg.tribe-common-c-svgicon--caret-down {
  transform: rotate(0deg);
  transition: transform 0.2s ease-in-out;
}
body.tribe-events-page-template button.tribe-events-c-subscribe-dropdown__button-text[aria-expanded="true"] + svg.tribe-common-c-svgicon--caret-down {
  transform: rotate(180deg);
  transition: transform 0.2s ease-in-out;
}

/* --- Monthly Calendar View --- */

.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-top-bar {
  flex-direction: row-reverse;
}

/* All monthly calendar view text */
.tribe-events-calendar-month {
  font-size: 0.875rem;
  font-weight: 500;
}

/* Table lines */
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-month__day {
  border-color: rgba(255,255,255,0.2);
}

/* Days of the week */
.tribe-events-calendar-month__header-column-title-desktop {
  margin: 0 16px !important;
  font-size: 1.1rem;
  white-space: nowrap;
}

/* Multi-day event colors in month view */
.tribe-events .tribe-events-calendar-month__multiday-event-bar,
.tribe-events .tribe-events-calendar-month__event--all-day,
.tribe-events .tribe-events-calendar-month__event--multiday {
  background-color: #139EB1 !important;
  color: #fff !important;
  border-color: #139EB1 !important;
  opacity: 1 !important;
  filter: none !important;
  mix-blend-mode: normal !important;
}
.tribe-events .tribe-events-calendar-month__multiday-event-bar a,
.tribe-events .tribe-events-calendar-month__multiday-event-bar-title,
.tribe-events .tribe-events-calendar-month__event--all-day a {
  color: #fff !important;
}

/* Prevent dim past items behavior */
.tribe-events .tribe-common--past,
.tribe-events .tribe-events-calendar-month__day--past .tribe-events-calendar-month__event,
.tribe-events .tribe-events-calendar-month__day--other-month .tribe-events-calendar-month__event {
  opacity: 1 !important;
}

/* Hide ugly loading overlay */
.tribe-events .tribe-events-view-loader {
  display: none !important;
  opacity: 0 !important;
  visibility: hidden !important;
  pointer-events: none !important;
}

/* Tooltip that displays on hover */
.tooltipster-base .tooltipster-box {
  padding: 20px;
  border: 1px solid rgba(255,255,255,0.2);
  border-radius: 20px;
  background: rgba(0,0,32,0.5);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  box-shadow: 0 10px 30px rgba(0,0,32,0.33);
  font-size: 0.9rem;
  line-height: 1.2rem;
}

/* --- Single Event View --- */

body.single-tribe_events main.events-content > nav.tab-menu {
  display: none; /* hide tab menu */
}

body.single-tribe_events .tribe-events-c-subscribe-dropdown__button {
  width: fit-content;
}

body.single-tribe_events .tribe-events-c-subscribe-dropdown__button .tribe-common-c-svgicon--cal-export {
  display: none; /* hide calendar export icon */
}

body.single-tribe_events .tribe-events-c-subscribe-dropdown__button .tribe-events-c-subscribe-dropdown__button-text {
  all: unset;
}
